# Class AttractorStarTable

java.lang.Object
uk.ac.starlink.table.AbstractStarTable
uk.ac.starlink.ttools.scheme.AttractorStarTable

All Implemented Interfaces:
  `Closeable, AutoCloseable, uk.ac.starlink.table.StarTable`

public class AttractorStarTable extends uk.ac.starlink.table.AbstractStarTable
StarTable implementation based on an Attractor.

Since:
  20 Jul 2020
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final uk.ac.starlink.table.ValueInfo`
`ATTRACTOR_INFO`
`static final uk.ac.starlink.table.ValueInfo`
`FILL_INFO`

## Constructor Summary

Constructors
Constructor
Description
`AttractorStarTable(AttractorFamily.Attractor att, long nrow)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
`uk.ac.starlink.table.ColumnInfo`
`getColumnInfo(int icol)`
`long`
`getRowCount()`
`uk.ac.starlink.table.RowSequence`
`getRowSequence()`
`static void`
`main(String[] args)`
Writes some example attractor tables to stdout.
`static void`
`writeFiles(AttractorFamily family, int nrow, int nfile)`
Utility/example method that can generate example tables corresponding to interesting (strange) attractors.

### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

`checkedLongToInt, close, getCell, getColumnAuxDataInfos, getName, getParameters, getRow, getRowAccess, getRowSplittable, getURL, isRandom, setName, setParameters, setURL`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.StarTable

`getParameterByName, setParameter`

## Field Details

### ATTRACTOR_INFO

public static final uk.ac.starlink.table.ValueInfo ATTRACTOR_INFO

### FILL_INFO

public static final uk.ac.starlink.table.ValueInfo FILL_INFO

## Constructor Details

### AttractorStarTable

public AttractorStarTable(AttractorFamily.Attractor att, long nrow)
Constructor.

Parameters:
  `att` - attractor
  `nrow` - row count

## Method Details

### getColumnCount

public int getColumnCount()

Specified by:
  `getColumnCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnCount` in class `uk.ac.starlink.table.AbstractStarTable`

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowCount` in class `uk.ac.starlink.table.AbstractStarTable`

### getColumnInfo

public uk.ac.starlink.table.ColumnInfo getColumnInfo(int icol)

Specified by:
  `getColumnInfo` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getColumnInfo` in class `uk.ac.starlink.table.AbstractStarTable`

### getRowSequence

public uk.ac.starlink.table.RowSequence getRowSequence()

Specified by:
  `getRowSequence` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowSequence` in class `uk.ac.starlink.table.AbstractStarTable`

### writeFiles

public static void writeFiles(AttractorFamily family, int nrow, int nfile) throws IOException
Utility/example method that can generate example tables corresponding to interesting (strange) attractors. There is informative output to stdout, and the tables are written to the current directory.

Parameters:
  `family` - attractor family
  `nrow` - numer of rows in each output table
  `nfile` - number of output table files to write
Throws:
  `IOException`

### main

public static void main(String[] args) throws IOException
Writes some example attractor tables to stdout. Use -h for usage.

Throws:
  `IOException`